#
# spec file for package geronimo (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl ant ant-trax attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv jaf java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xalan-j2 xerces-j2 xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           geronimo
BuildRequires:  ant-trax jaf java-1_4_2-sun-devel update-alternatives
Version:        1.0
Release:        16.11
%define base_name       geronimo
%define section         free
%define source_top      %{name}-%{cvs_version}
%define alternativesdir var
%define tomcat_alt      tomcat
%define jetty_alt       jetty
%define current_alt     current
%define full_name       %{name}-%{version}
%define geronimo_home   %{_datadir}/%{full_name}
Summary:        Geronimo is Apache's ASF-licensed J2EE server project
Url:            http://geronimo.apache.org/
Source0:        geronimo-tomcat-j2ee-%{version}.tar.gz
NoSource:       0
Source1:        %{full_name}-jetty-delta.tar.bz2
NoSource:       1
Source2:        rcgeronimo
Source3:        sysconfig.geronimo
Source4:        README.SuSE
Source5:        config.xml.without-daytrader.tomcat
Source6:        config.xml.without-daytrader.jetty
Source7:        implicit_002dobjects_jsp.class
Patch0:         %{full_name}-tomcat-index.properties-adjustments.patch
Patch1:         %{full_name}-jetty-index.properties-adjustments.patch
Patch2:         %{full_name}-implicit-objects_jsp.patch
License:        The Apache Software License
Group:          Development/Libraries/Java
BuildArch:      noarch
#
Requires:       ant >= 1.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-servlet-container = %{version}-%{release}
PreReq:         %fillup_prereq
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description
The Geronimo project is an open source application server developed by
the Apache Software Foundation and distributed under the Apache
license.

Geronimo is currently compatible with the Java 2 Enterprise Edition
(J2EE) 1.4 specification. When compared to other application servers
such as JBoss, WebLogic and WebSphere, Geronimo's most distinctive
features are its:

* BSD-style license, which allows it to be modified for and embedded
   within commercial, closed source software (unlike the popular GPL
   and LGPL licenses)

* Modular GBean-based architecture, which allows users to remove
   unneeded services and build very lightweight configurations of
   the server

* Non-Profit ASF leadership, which provides legal protection,
   ensures stability across the loss of individual contributors and
   insulates the project from commercial conflicts of interest

* Diverse support community, in which companies compete freely and
openly to provide services, with none enjoying any particular trademark
advantage



Authors:
--------
    Aaron Mulder
    Alan Cabrera
    Bruce Snyder
    Dain Sundstrom
    Davanum Srinivas
    David Blevins
    David Jencks
    Geir Magnusson Jr.
    Gianny D'Amour
    Greg Wilkins
    Hiram Chirino
    Jacek Laskowski
    James Strachan
    Jan Bartel
    Jason Dillon
    Jeff Genender
    Jeremy Boynes
    John Sisson
    Jules Gosnell
    Kevan Miller
    Mark DeLaFranier
    Matt Hogstrom
    Sachin Patel
    Simone Bordot
    Srinath Perera

%package jetty-servlet-container
Summary:        Jetty Servlet engine for Geronimo
Group:          Development/Libraries/Java
Provides:       %{name}-jetty-servlet-container = %{version}-%{release}
Provides:       %{name}-servlet-container = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description jetty-servlet-container
This is the Jetty Servlet Enging for Geronimo.



Authors:
--------
    Greg Wilkins
    Arkadi Shishlov
    Adam Klatzkin
    Adnan Musi
    Arthur Simoneau
    Bradley Williams
    Brett Sealey
    Clayton Wheeler
    Charles Butcher
    Cris Perdue
    Dan Finkelstein
    Daniel Deville
    Daniel Eriksson
    David Taylor
    Dmitri Colebatch
    Donovan Kolbly
    Doyle Davidson
    Ernest Leipold
    Eugene Ciurana
    Fredrik Borgh
    Gerd Mueller
    Greg Colvin
    Gsta Jonasson
    Hans Maerki
    Hartmut Benz
    Heinrich Abele
    Helmut Hissen
    Ignacio Coloma
    James Robinson
    Jan Bartel
    Jan Hlavaty
    Jason Gilbert
    Jason Weinstein
    Jesper Jrgensen
    Jim Crossley
    John Bergman
    John T Bell
    Juancarlo Aez
    Julian Gosnell
    Kent Johnson
    Klaus Spd
    Marko Friedmann
    Marko P. O. Nippula
    Matt Watson
    Martin Cordova
    Michael O'Sullivan
    Mike Haberman
    Miro Halas
    Morten Seifert
    Nathan Meyers
    Nicholas Christopher
    Nikos Anerousis
    Norbert Renner
    Nuno Preguia
    Paul Mclachlan
    Paul Weiss
    Pier Fumagalli
    Petr Jiricka
    Philippe Van Dyck
    Preston L. Bannister
    Rafael Posse
    Raif S. Naffah
    Robert Munyer
    Roelf de Kock
    Simon Ritchie
    Stephen Stevens
    Sren Hilmer
    Thomas Beyer
    Thomas Pedersen
    Tobias Miller
    Tony Thompson
    Topper

%package tomcat-servlet-container
Summary:        Tomcat Servlet engine for Geronimo
Group:          Development/Libraries/Java
Provides:       %{name}-tomcat-servlet-container = %{version}-%{release}
Provides:       %{name}-servlet-container = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description tomcat-servlet-container
This is the Tomcat Servlet Enging for Geronimo.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%prep
%setup -c -b 1 
chmod -R go=u-w *
%patch0
%patch1
# bug #274237
cp %{SOURCE7} geronimo-1.0-jetty-delta/geronimo-1.0/config-store/24/war/WEB-INF/classes/org/apache/jsp/jsp2/el/
cp %{SOURCE7} geronimo-1.0/config-store/23/war/WEB-INF/classes/org/apache/jsp/jsp2/el/

%install
rm -rf $RPM_BUILD_ROOT
# sysv init and logging
install -d -m 755 $RPM_BUILD_ROOT/{%{_sbindir},%{_sysconfdir}/init.d}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
ln -sf %{_sysconfdir}/init.d/%{name} $RPM_BUILD_ROOT/%{_sbindir}/rc%{name}
install -m 755 -d $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
TRUE=0
FALSE=-1
# As we want to be able to install both, tomcat and jetty, we need to make a few adjustments
# 1.) make one directory for jetty and tomcat, where we can save configuration files
pushd %{full_name}/%{alternativesdir}
mkdir %{tomcat_alt}
mkdir %{tomcat_alt}/config-store
mkdir %{jetty_alt}
mkdir %{jetty_alt}/config-store
popd
# move tomcat and jetty specific config files to those dirs
mv %{full_name}/var/config %{full_name}/%{alternativesdir}/%{tomcat_alt}
mv %{full_name}/config-store/index.properties  %{full_name}/%{alternativesdir}/%{tomcat_alt}/config-store
mv %{full_name}-jetty-delta/%{full_name}/var/config %{full_name}/%{alternativesdir}/%{jetty_alt}
mv %{full_name}-jetty-delta/%{full_name}/config-store/index.properties  %{full_name}/%{alternativesdir}/%{jetty_alt}/config-store
# 2.) Directories in config-store do share a lot in both configurations.
#     We will rename directories that are common to both installations to the numbers 000-100,
#     where one '1' will become '001', '2' '002', etc. All other remaining directories in the 
#     are tomcat directories and there name will be renamed to <name>+100:
COMMON_DIRECTORIES="1 2 3 4 5 7 8 9 10 11 12 13 14 15 18"
function is_common_dir() {
  DIR_TO_CHECK=$1
  for file in $COMMON_DIRECTORIES
  do
    if [ $DIR_TO_CHECK = $file ]
    then
      return $TRUE;
    fi
  done
  return $FALSE
}
pushd %{full_name}/config-store
for directory in `ls -d *`
do
  if is_common_dir $directory
  then
    # rename common directory to 0XX
    mv $directory `printf "0%02d" $directory`
  else
    # ... and tomcat specific dirs to 1XX
    mv $directory `printf "1%02d" $directory`
  fi
done
popd
# now the same for the jetty dirs ... in this directory we only have jetty specific dirs,
# so we don't need the if statement
pushd %{full_name}-jetty-delta/%{full_name}/config-store
for directory in `ls -d *`
do
    # ... jetty specific dirs to 2XX
    mv $directory `printf "2%02d" $directory`
done
popd
# move jetty config-store dirs to the geronimo dir
mv %{full_name}-jetty-delta/%{full_name}/config-store/*  %{full_name}/config-store
# copy README.SuSE
# move the jetties repository and schema stuff to the repository directory
cp -a %{full_name}-jetty-delta/%{full_name}/repository/*  %{full_name}/repository
mv    %{full_name}-jetty-delta/%{full_name}/schema/*      %{full_name}/schema     
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}
cp -a %{full_name} $RPM_BUILD_ROOT/%{_datadir}
# move var/log to /var/log/geronimo
install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/log/%{name}
mv $RPM_BUILD_ROOT%{geronimo_home}/var/log/* $RPM_BUILD_ROOT/%{_localstatedir}/log/%{name}/
rm -rf $RPM_BUILD_ROOT%{geronimo_home}/var/log/
ln -sf %{_localstatedir}/log/%{name} $RPM_BUILD_ROOT%{geronimo_home}/var/log
# move configs to etc
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT%{geronimo_home}/var/%{tomcat_alt} $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
pushd $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{tomcat_alt}/config
  # make the config without the daytrader application default
  mv config.xml config.with-daytrader
  cp %{SOURCE5} config.without-daytrader
  ln -sf config.without-daytrader config.xml
popd
mv $RPM_BUILD_ROOT%{geronimo_home}/var/%{jetty_alt}  $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
pushd $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{jetty_alt}/config
  # make the config without the daytrader application default
  mv config.xml config.with-daytrader
  cp %{SOURCE6} config.without-daytrader
  ln -sf config.without-daytrader config.xml
popd
# link var/temp to /var/tmp
install -d -m 755 $RPM_BUILD_ROOT/%{_localstatedir}/tmp
rm -rf $RPM_BUILD_ROOT%{geronimo_home}/%{_localstatedir}/temp
ln -sf %{_localstatedir}/tmp  $RPM_BUILD_ROOT%{geronimo_home}/var/temp
#docdir
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{full_name}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{full_name}
mv $RPM_BUILD_ROOT/%{geronimo_home}/RELEASE-NOTES-1.0.txt  $RPM_BUILD_ROOT%{_docdir}/%{full_name}
# create a geronimo base
install -d -m 755 $RPM_BUILD_ROOT/srv/www/geronimo/base
pushd $RPM_BUILD_ROOT/srv/www/geronimo/base
  for file in `ls $RPM_BUILD_ROOT/%{geronimo_home}/`
  do
    ln -sf %{geronimo_home}/$file 
  done
popd 

%pre
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%pre tomcat-servlet-container
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%pre jetty-servlet-container
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
id geronimo && chown -R geronimo /srv/www/geronimo/base
%{fillup_only}

%post tomcat-servlet-container
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
update-alternatives --install %{geronimo_home}/%{alternativesdir}/%{current_alt}  %{name}-servlet-engine %{_sysconfdir}/%{name}/%{tomcat_alt} 1
update-alternatives --auto %{name}-servlet-engine
ln -sf %{geronimo_home}/%{alternativesdir}/%{current_alt}/config %{geronimo_home}/var/config
ln -sf %{geronimo_home}/%{alternativesdir}/%{current_alt}/config-store/index.properties %{geronimo_home}/config-store/index.properties

%postun tomcat-servlet-container
if [ "$1" = "0" ]
then
  update-alternatives --remove {name}-servlet-engine %{_sysconfdir}/%{name}/%{tomcat_alt}
fi

%post jetty-servlet-container
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
update-alternatives --install %{geronimo_home}/%{alternativesdir}/%{current_alt}  %{name}-servlet-engine %{_sysconfdir}/%{name}/%{jetty_alt} 0
update-alternatives --auto %{name}-servlet-engine
ln -sf %{geronimo_home}/%{alternativesdir}/%{current_alt}/config %{geronimo_home}/var/config
ln -sf %{geronimo_home}/%{alternativesdir}/%{current_alt}/config-store/index.properties %{geronimo_home}/config-store/index.properties

%postun jetty-servlet-container
if [ "$1" = "0" ]
then
  update-alternatives --remove {name}-servlet-engine %{_sysconfdir}/%{name}/%{jetty_alt}
fi

%files 
%defattr(-,geronimo,geronimo,-)
/srv/www/geronimo/base
%dir /srv/www/geronimo
%dir %{_sysconfdir}/%{name}
%{_localstatedir}/log/%{name}
%{geronimo_home}/config-store
%{geronimo_home}/repository
%defattr(-,root,root,-)
%doc %{_docdir}/%{full_name}
%{_var}/adm/fillup-templates/*
%{_sysconfdir}/init.d/%{name}
/usr/sbin/rc%{name}
%dir %{geronimo_home}
%{geronimo_home}/bin
%{geronimo_home}/docs
%{geronimo_home}/lib
%{geronimo_home}/META-INF
%{geronimo_home}/schema
%{geronimo_home}/var
#exclude tomcat files:
%exclude %{geronimo_home}/config-store/1*
%exclude %{geronimo_home}/schema/*tomcat*
%exclude %{_sysconfdir}/%{name}/%{tomcat_alt}
%exclude %{geronimo_home}/repository/wadi/jars/wadi-tomcat55-2.0M1.jar
%exclude %{geronimo_home}/repository/commons-beanutils/jars/commons-beanutils-1.6.1.jar
%exclude %{geronimo_home}/repository/commons-modeler/jars/commons-modeler-1.1.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-tomcat-builder-1.0.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-tomcat-1.0.jar
%exclude %{geronimo_home}/repository/tomcat/jars/catalina-cluster-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/naming-resources-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/tomcat-util-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-runtime-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/servlets-default-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/tomcat-http-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/catalina-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-compiler-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/tomcat-coyote-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/catalina-optional-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/servlets-invoker-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-compiler-jdt-5.5.9.jar
%exclude %{geronimo_home}/repository/tomcat/jars/tomcat-ajp-5.5.9.jar
%exclude %{geronimo_home}/repository/commons-digester/jars/commons-digester-1.6.jar
#exclude jetty files
%exclude %{geronimo_home}/config-store/2*
%exclude %{geronimo_home}/schema/*jetty*
%exclude %{_sysconfdir}/%{name}/%{jetty_alt}
%exclude %{geronimo_home}/repository/wadi/jars/wadi-jetty5-2.0M1.jar
%exclude %{geronimo_home}/repository/jetty/jars/org.mortbay.jetty-5.1.9.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-jetty-builder-1.0.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-mail-1.0.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-jetty-1.0.jar
%exclude %{geronimo_home}/repository/geronimo/jars/geronimo-javamail-transport-1.0.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-runtime-5.5.12.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-compiler-5.5.12.jar
%exclude %{geronimo_home}/repository/tomcat/jars/jasper-compiler-jdt-5.5.12.jar

%files tomcat-servlet-container
%defattr(-,geronimo,geronimo,-)
# tomcat's config dir
%dir %{_sysconfdir}/%{name}
%dir %{geronimo_home}/var
%config %{_sysconfdir}/%{name}/%{tomcat_alt}
# tomcat's config-store dirs
%{geronimo_home}/config-store/1*
%defattr(-,root,root,-)
# tomcat's schema files
%{geronimo_home}/schema/*tomcat*
# tomcat's repository files
%dir %{geronimo_home}/
%defattr(-,geronimo,geronimo,-)
%{geronimo_home}/repository/wadi/jars/wadi-tomcat55-2.0M1.jar
%{geronimo_home}/repository/commons-beanutils/jars/commons-beanutils-1.6.1.jar
%{geronimo_home}/repository/commons-modeler/jars/commons-modeler-1.1.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-tomcat-builder-1.0.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-tomcat-1.0.jar
%{geronimo_home}/repository/tomcat/jars/catalina-cluster-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/naming-resources-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/tomcat-util-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/jasper-runtime-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/servlets-default-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/tomcat-http-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/catalina-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/jasper-compiler-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/tomcat-coyote-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/catalina-optional-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/servlets-invoker-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/jasper-compiler-jdt-5.5.9.jar
%{geronimo_home}/repository/tomcat/jars/tomcat-ajp-5.5.9.jar
%{geronimo_home}/repository/commons-digester/jars/commons-digester-1.6.jar

%files jetty-servlet-container
%defattr(-,geronimo,geronimo,-)
# jetty's config dir
%dir %{_sysconfdir}/%{name}
%dir %{geronimo_home}/var
%config %{_sysconfdir}/%{name}/%{jetty_alt}
# jetty's config-store dirs
%{geronimo_home}/config-store/2*
%defattr(-,root,root,-)
# jetty's schema files
%{geronimo_home}/schema/*jetty*
# tomcat's repository files
%dir %{geronimo_home}/
%defattr(-,geronimo,geronimo,-)
%{geronimo_home}/repository/wadi/jars/wadi-jetty5-2.0M1.jar
%{geronimo_home}/repository/jetty/jars/org.mortbay.jetty-5.1.9.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-jetty-builder-1.0.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-mail-1.0.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-jetty-1.0.jar
%{geronimo_home}/repository/geronimo/jars/geronimo-javamail-transport-1.0.jar
%{geronimo_home}/repository/tomcat/jars/jasper-runtime-5.5.12.jar
%{geronimo_home}/repository/tomcat/jars/jasper-compiler-5.5.12.jar
%{geronimo_home}/repository/tomcat/jars/jasper-compiler-jdt-5.5.12.jar

%changelog
* Tue Jan 29 2008 - anosek@suse.cz
- fixed previous fix: applications can be deployed again
* Tue Jan 22 2008 - anosek@suse.cz
- fixed VUL-0: the start script of geronimo changes permissions of /var/tmp/*
  - removed dangerous 'chown -R -L geronimo:geronimo $GERONIMO_BASE/var'
  line from rcgeronimo
  - adjusted file permissions in spec appropriately
* Tue Nov 20 2007 - mvyskocil@suse.cz
- fixed the vulnerability CVE-2006-7195 [#274237]
    - patched the implicit_objects.jsp
    - the implicit_002dobjects_jsp.class was compiled outside,
  using tomcat55-5.5.9 and replaced in a %%prep section
* Mon Feb 06 2006 - dbornkessel@suse.de
- removed 'install' command in %%post ...
- fixed rpmlint warning and errors
- removed wrong %%ghost
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - dbornkessel@suse.de
- added missing PreReq /usr/bin/install and call install command
  with absolute path in %%pre section
* Wed Jan 18 2006 - dbornkessel@suse.de
- started first version as a binary package
